Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.net.protocol
Class URLListerBase

    java.lang.Object
      org.jboss.net.protocol.URLListerBase

All Implemented Interfaces:
  URLLister

Direct Known Subclasses:
  DavURLLister, FileURLLister

public abstract class URLListerBase
extends Object
implements URLLister

Support class for URLLister's providing protocol independent functionality.

Version:
  $Revision: 1.4 $
Author:
  Scott.Stark@jboss.org

Nested Class Summary
`static class` | `URLListerBase.URLFilterImpl` Inner class representing Filter criteria to be applied to the members of the returned Collection

Nested classes inherited from class org.jboss.net.protocol.URLLister
`URLLister.URLFilter`

Field Summary
`protected static URLLister.URLFilter` | `acceptAllFilter`

Constructor Summary
`URLListerBase()`

Method Summary
`Collection` | `listMembers(URL baseUrl, String patterns)` List the members of the given collection URL that match the patterns supplied.
`Collection` | `listMembers(URL baseUrl, String patterns, boolean scanNonDottedSubDirs)` List the members of the given collection URL that match the patterns supplied and, if it contains directory that contains NO dot in the name and scanNonDottedSubDirs is true, recursively finds URL in these directories.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.net.protocol.URLLister
`listMembers, listMembers`

Field Detail

### acceptAllFilter

    protected static final URLLister.URLFilter acceptAllFilter

Constructor Detail

### URLListerBase

    public URLListerBase()

Method Detail

### listMembers

    public Collection listMembers(URL baseUrl,
                                  String patterns,
                                  boolean scanNonDottedSubDirs)
                           throws IOException

  Description copied from interface: `URLLister`
  List the members of the given collection URL that match the patterns supplied and, if it contains directory that contains NO dot in the name and scanNonDottedSubDirs is true, recursively finds URL in these directories.

  Specified by:
    `listMembers` in interface `URLLister`
  Parameters:
    `baseUrl` - the URL to list; must end in "/"
    `patterns` - the patterns to match (separated by ',')
    `scanNonDottedSubDirs` - enables recursive search for directories containing no dots
  Returns:
    a Collection of URLs that match
  Throws:
    `IOException` - if there was a problem getting the list

### listMembers

    public Collection listMembers(URL baseUrl,
                                  String patterns)
                           throws IOException

  Description copied from interface: `URLLister`
  List the members of the given collection URL that match the patterns supplied. Doesn't recursively list files contained in directories.

  Specified by:
    `listMembers` in interface `URLLister`
  Parameters:
    `baseUrl` - the URL to list; must end in "/"
    `patterns` - the patterns to match (separated by ',')
  Returns:
    a Collection of URLs that match
  Throws:
    `IOException` - if there was a problem getting the list

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.